using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MasterLinkFutures.Data
{
    public class OrderData
    {
        public string orderCategory { get; set; }//0委託類別, S:證券, F:期貨, O:選擇權, R:刪改單
        public string account { get; set; }//1帳號
        public string symbolID { get; set; }//2商品ID
        public string orderType { get; set; }//3委託別 R/I/F
        public string buySell { get; set; }//4買賣別, B:買進, S:賣出
        public string priceFlag { get; set; }//5價格別, L:限價, U:漲停, D:跌停, N:平盤
        public double price { get; set; }//6委託價格
        public int qty { get; set; }//7委託數量
        public string marketType { get; set; }//8市場別,T:上市, O:上櫃, R:興櫃
        public string marketAP { get; set; }//9盤別, N:普通, O:零股, F:盤後
        public string dayTrade { get; set; }//10當沖, Y/N
        public string userKey { get; set; }//11 UserKey
        public string marketNo { get; set; }//12交易所代碼
        public string commYM { get; set; }//13商品年月
        public int stopPrice { get; set; }//14停損價 0:表示無停損價
        public string openClose { get; set; }//15倉別, A:自動, O:新倉, C:平倉
        public string callPut { get; set; }//16 Call/Put C/P
        public double strikePrice { get; set; }//17履約價
        public string orderno { get; set; }//18委託書號
        public int priceM { get; set; }//19價格分母
        public string symbolID2 { get; set; }//20商品ID2
        public string buySell2 { get; set; }//21買賣別2
        public string commYM2 { get; set; }//22商品年月2
        public string callPut2 { get; set; }//23CallPut2
        public double strikePrice2 { get; set; }//24履約價2
        public string toString()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("orderCategory:"); sb.Append(orderCategory); sb.Append(", ");
            sb.Append("account:"); sb.Append(account); sb.Append(", ");
            sb.Append("symbolID:"); sb.Append(symbolID); sb.Append(", ");
            sb.Append("orderType:"); sb.Append(orderType); sb.Append(", ");
            sb.Append("buySell:"); sb.Append(buySell); sb.Append(", ");
            sb.Append("priceFlag:"); sb.Append(priceFlag); sb.Append(", ");
            sb.Append("price:"); sb.Append(price); sb.Append(", ");
            sb.Append("qty:"); sb.Append(qty); sb.Append(", ");
            sb.Append("marketType:"); sb.Append(marketType); sb.Append(", ");
            sb.Append("marketAP:"); sb.Append(marketAP); sb.Append(", ");
            sb.Append("dayTrade:"); sb.Append(dayTrade); sb.Append(", ");
            sb.Append("userKey:"); sb.Append(userKey); sb.Append(", ");
            sb.Append("marketNo:"); sb.Append(marketNo); sb.Append(", ");
            sb.Append("commYM:"); sb.Append(commYM); sb.Append(", ");
            sb.Append("stopPrice:"); sb.Append(stopPrice); sb.Append(", ");
            sb.Append("openClose:"); sb.Append(openClose); sb.Append(", ");
            sb.Append("callPut:"); sb.Append(callPut); sb.Append(", ");
            sb.Append("strikePrice:"); sb.Append(strikePrice); sb.Append(", ");
            sb.Append("orderno:"); sb.Append(orderno); sb.Append(", ");
            sb.Append("priceM:"); sb.Append(priceM); sb.Append(", ");
            sb.Append("symbolID2:"); sb.Append(symbolID2); sb.Append(", ");
            sb.Append("buySell2:"); sb.Append(buySell2); sb.Append(", ");
            sb.Append("commYM2:"); sb.Append(commYM2); sb.Append(", ");
            sb.Append("callPut2:"); sb.Append(callPut2); sb.Append(", ");
            sb.Append("strikePrice2:"); sb.Append(strikePrice2);
            return sb.ToString();
        }
    }
}
